> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/piezimes-piespraudes/35.-mutacija-pievienot-komentaru-atlasitajai-piezimei.md).

# 35. Mutācija: pievienot "Komentāru" atlasītajai "Piezīmei"

Šī mutācija ļauj jums pievienot komentāru izvēlētajai piezīmei.

* Komentāru var sasaistīt ar lauku, izmantojot tā unikālo identifikatoru `fieldUuid` un ar piezīmi, izmantojot `noteUuid`.
* Komentāra saturu var norādīt, izmantojot `teksts` atribūtu. Ja saturs jābūt vairākrindains, `teksts` atribūtam jāietver virkne ar jaunas rindas rakstzīmēm `\\n` lai atdalītu rindas. Piemēram: `"Pirmā rinda ir šeit\\nOtrā rinda ir šeit.\\nTrešā rinda ir šeit."`.
* Ir iespējams iestatīt definētu datuma un laika vērtību, kas saistīta ar komentāru, izmantojot `izveidesDatums` atribūtu ISO8601 formātā.

Paraugu pieprasījumus var atrast zemāk:

```graphql
mutācija AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "Pirmais komentārs no vairākiem.",
    createdDate: "2020-08-25T06:06:06.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    izveidesDatums
    updatedDate
    teksts
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutācija AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "Pirmā rinda ir šeit\\nOtrā rinda ir šeit.\\nTrešā rinda ir šeit.",
    createdDate: "2020-08-25T07:07:07.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    izveidesDatums
    updatedDate
    teksts
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/lva/api-dokumentacija/geopard-api-pieprasijumu-parskats/piezimes-piespraudes/35.-mutacija-pievienot-komentaru-atlasitajai-piezimei.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
